# Generated from factory_bot_rails-4.8.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name factory_bot_rails

Name: rubygem-%{gem_name}
Version: 5.0.2
Release: 1%{?dist}.4
Summary: factory_bot_rails provides integration between factory_bot and rails 3 or newer
License: MIT
URL: http://github.com/thoughtbot/factory_bot_rails
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
factory_bot_rails provides integration between
factory_bot and rails 3 or newer (currently just automatic factory definition
loading).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/NEWS.md
%doc %{gem_instdir}/README.md

%changelog
* Thu Apr 29 2021 Oleg Girko <ol@infoserver.lv> - 5.0.2-1
- Update to 5.0.2
* Sun May 20 2018 Oleg Girko <ol@infoserver.lv> - 4.8.2-1
- Initial package
